# Flat Tokens Asset Pack

This unofficial TaleSpire token pack includes tokens for making flat (card-board like) standing tokens in a number of
styles. Includes a tranparent style, glass style and opaque style with single sided and double sided images. As a
bonus, the pack also includes a coin token. The coin token can be turned over but cannot (at this time) be randomly
tossed (flipped).

Thanks to simsete for the custom transparency shader.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

Use the Retexture Plugin (or similar) to modify the contents of the token.

## Usage

All of the tokes are appear in the Creature categroy of the library under the group name Tokens. It should be noted
that while all the tokens appear under the Creature category, most of them are implemented as Effects in order to be
able to utilize transparency. The following tokens are available:

```
+------------+------------------------------------+----------------------------+------------+---------------+
| Token Code | Image Source Type                  | Token Style                | Has Holder | Supports Hide |
+------------+------------------------------------+----------------------------+------------+---------------+
| ST         | Single image in image file         | Transparent cutout         |     No     |      No       |
+------------+------------------------------------+----------------------------+------------+---------------+
| SG         | Single image in image file         | Image on glass tile        |     No     |      No       |
+------------+------------------------------------+----------------------------+------------+---------------+
| SGB        | Single image in image file         | Image on glass tile        |     Yes    |      No       |
+------------+------------------------------------+----------------------------+------------+---------------+
| SO         | Single image in image file         | Opaque image on tile       |     No     |      Yes      |
+------------+------------------------------------+----------------------------+------------+---------------+
| SOB        | Single image in image file         | Opaque image on tile       |     Yes    |      Yes      |
+------------+------------------------------------+----------------------------+------------+---------------+
+------------+------------------------------------+----------------------------+------------+---------------+
| DT         | Side by side images in file        | Transparent cutout         |     No     |      No       |
+------------+------------------------------------+----------------------------+------------+---------------+
| DG         | Side by side images in file        | Image on glass tile        |     No     |      No       |
+------------+------------------------------------+----------------------------+------------+---------------+
| DGB        | Side by side images in file        | Image on glass tile        |     Yes    |      No       |
+------------+------------------------------------+----------------------------+------------+---------------+
| DO         | Side by side images in file        | Opaque image on tile       |     No     |      Yes      |
+------------+------------------------------------+----------------------------+------------+---------------+
| DOB        | Side by side images in file        | Opaque image on tile       |     Yes    |      Yes      |
+------------+------------------------------------+----------------------------+------------+---------------+
```

```
Note 1: Images ignoire a small amount of border around the edges of the image.
        Avoid making the contents of the image do to the very edges of the canvas.
Note 2: Side by side uses the left half of the image for the front image and the right half for the back.
Note 3: The opaque options implement the token as a Creature and thus the token supports the hide function.
        Non-opaque options implement the token as a Effect and thus do not support the hide function.
```

The coin can be turned over using EAR Animations (Default ALT+1 and ALT+2).
		
## Limitations

Currently the tokens are very sensitive to light. When viewed in the correct light they will produce good
colors. When viewed less ideal light conditions, the colors will be darked with the content being completely
black when the token is not getting any light. Similarly the glass tokens will be (visible but) clear when
viewed with good lighting conditions and less clear when viewed under other lighting conditions.